import request from '/@/utils/request';

/**
 * 后端控制菜单模拟json，路径在 https://gitee.com/lyt-top/vue-next-admin-images/tree/master/menu
 * 后端控制路由，isRequestRoutes 为 true，则开启后端控制路由
 * @method getMenuAdmin 获取后端动态路由菜单(admin)
 * @method getMenuTest 获取后端动态路由菜单(test)
 */
export function useMenuApi() {
    return {
        // v2
        // getMenuAdmin: (value?: string) => {
        //     return request({
        //         url: import.meta.env.VITE_API_URL + `/auth/menu?projectId= ${value}`,
        //         method: 'post'
        //     });
        // },
        getMenuAdmin: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sys/console/menu/get/all`,
                method: 'get'
            });
        },
        // v1
        addMenu: (value?: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sys/console/menu/add`,
                method: 'post',
                data: value
            });
        },
        // v1
        modMenu: (value?: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sys/console/menu/mod`,
                method: 'post',
                data: value
            });
        },
        // v1
        deleteMenu: (value: number) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sys/console/menu/del?menuItemId=${value}`,
                method: 'get',
            });
        },
        // v1
        getProjectList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/project/list`,
                method: 'post'
            });
        }
    };
}
